<div class="example-container mat-elevation-z8">
  <table mat-table [dataSource]="dataSource">
    <!-- Position Column
    <ng-container matColumnDef="position">
      <th mat-header-cell *matHeaderCellDef>No.</th>
      <td mat-cell *matCellDef="let billDetail">
        {{ dataSource.data.indexOf(billDetail) + 1 }}
      </td>
      <td mat-cell>a</td>
    </ng-container> -->

    <!-- Item A name Column -->
    <ng-container matColumnDef="itemNameA">
      <th mat-header-cell *matHeaderCellDef>1° Item</th>
      <td mat-cell *matCellDef="let billDetail">
        {{ billDetail?.discountDetails?.itemNameA }}
      </td>
    </ng-container>

    <!-- Item B name Column -->
    <ng-container matColumnDef="itemNameB">
      <th mat-header-cell *matHeaderCellDef>2° Item</th>
      <td mat-cell *matCellDef="let billDetail">
        {{ billDetail?.discountDetails?.itemNameB }}
      </td>
    </ng-container>

    <ng-container matColumnDef="originalAmount">
      <th mat-header-cell *matHeaderCellDef>Original amount</th>
      <td mat-cell *matCellDef="let billDetail">
        {{ billDetail?.originalAmount | currency }}
      </td>
    </ng-container>

    <!-- Discount Column -->
    <ng-container matColumnDef="value">
      <th mat-header-cell *matHeaderCellDef>Discount (%)</th>
      <td mat-cell *matCellDef="let billDetail">
        {{ billDetail?.discountDetails?.value }} %
      </td>
    </ng-container>

    <ng-container matColumnDef="discountAmount">
      <th mat-header-cell *matHeaderCellDef>Discount amount</th>
      <td mat-cell *matCellDef="let billDetail">
        {{ billDetail?.discountAmount | currency }}
      </td>
    </ng-container>

    <ng-container matColumnDef="totalAmount">
      <th mat-header-cell *matHeaderCellDef>Total with discount</th>
      <td mat-cell *matCellDef="let billDetail">
        {{ billDetail?.totalAmount }} %
      </td>
    </ng-container>

    <!-- * Paginator * -->
    <ng-container matColumnDef="paginator">
      <td mat-footer-cell *matFooterCellDef colspan="6">
        <mat-paginator [pageSizeOptions]="[10, 25, 100]"></mat-paginator>
      </td>
    </ng-container>

    <!-- **Headers** -->
    <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>

    <!-- **Rows** -->
    <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
    <!-- Row shown when there is no matching data. -->
    <tr class="mat-row" *matNoDataRow>
      <td class="mat-cell" colspan="6">No discounts</td>
    </tr>

    <!-- **Footers** -->
    <tr mat-footer-row *matFooterRowDef="['paginator']; sticky: true"></tr>
  </table>
</div>
